> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.polytomic.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.polytomic.com/_mcp/server.

# Get Connection Types

GET https://app.polytomic.com/api/connection_types

Lists all connection types supported by this deployment.

Each entry includes per-type metadata:

- The available operations the connection type supports.
- Its category.
- Whether the connection type is enabled for the caller's organization.
- Which modes (source, destination, enrichment) it can act as.

Reference: https://apidocs.polytomic.com/api-reference/connections/get-types

## Authentication

- `Authorization` header (basic auth, required) — This is the Polytomic deployment key (on-premises only)
- `Authorization` header (bearer token, required) — This is the Polytomic API key

## Response

### 200

OK

- `data` (list of V2ConnectionType, optional, nullable)

## Errors

### 401 Unauthorized Error

Unauthorized

- `code` (integer, optional) — Application-specific error code.
- `context` (map from string to any, optional) — Application context.
- `error` (string, optional) — Error message.
- `status` (string, optional) — Status text.

### 500 Internal Server Error

Internal Server Error

- `key` (string, optional)
- `message` (string, optional)
- `metadata` (map from string to any, optional)
- `status` (integer, optional)

## Types

### V2ConnectionType

- `capabilities` (BackendConnectionCapabilities, required)
- `configurationForm` (V2ConnectionForm, optional)
- `envConfig` (map from string to any, optional)
- `id` (string, optional)
- `initialConfiguration` (map from string to any, optional)
- `logo_dark_url` (string, optional)
- `logo_url` (string, optional)
- `name` (string, optional)
- `oauth_prompt` (BackendOAuthPrompt, optional)
- `use_oauth` (boolean, optional)

### BackendConnectionCapabilities

- `destination` (boolean, required)
- `enrichment` (boolean, required)
- `logging` (boolean, required)
- `orchestration` (boolean, required)
- `source` (boolean, required)

### V2ConnectionForm

- `jsonschema` (any, optional)
- `uischema` (any, optional)

### BackendOAuthPrompt

- `key` (string, optional, nullable)
- `value` (string, optional, nullable)
- `when` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "capabilities": {
        "destination": true,
        "enrichment": false,
        "logging": false,
        "orchestration": false,
        "source": true
      },
      "configurationForm": {},
      "envConfig": {
        "key": "value"
      },
      "id": "postgresql",
      "initialConfiguration": {},
      "logo_dark_url": "https://connect-assets.polytomic.com/logos/dark/postgresql.svg",
      "logo_url": "https://connect-assets.polytomic.com/logos/postgresql.svg",
      "name": "PostgreSQL",
      "oauth_prompt": {
        "key": "string",
        "value": "string",
        "when": "string"
      },
      "use_oauth": true
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://app.polytomic.com/api/connection_types"

headers = {
    "X-Polytomic-Version": "X-Polytomic-Version"
}

response = requests.get(url, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://app.polytomic.com/api/connection_types';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {
    'X-Polytomic-Version': 'X-Polytomic-Version',
    Authorization: `Basic ${credentials}`
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.polytomic.com/api/connection_types"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Polytomic-Version", "X-Polytomic-Version")
	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.polytomic.com/api/connection_types")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Polytomic-Version"] = 'X-Polytomic-Version'
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.polytomic.com/api/connection_types")
  .header("X-Polytomic-Version", "X-Polytomic-Version")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.polytomic.com/api/connection_types', [
  'headers' => [
    'X-Polytomic-Version' => 'X-Polytomic-Version',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://app.polytomic.com/api/connection_types");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Polytomic-Version", "X-Polytomic-Version");

IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "X-Polytomic-Version": "X-Polytomic-Version",
  "Authorization": "Basic \(credentials)"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.polytomic.com/api/connection_types")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```